From: Jonatan Schlag <jonatan.schlag@ipfire.org>
To: network@lists.ipfire.org
Subject: [PATCH 3/4] ipv6-auto: create hook_parse_cmdline function
Date: Wed, 19 Jul 2017 10:52:37 +0200 [thread overview]
Message-ID: <1500454358-6561-4-git-send-email-jonatan.schlag@ipfire.org> (raw)
In-Reply-To: <1500454358-6561-1-git-send-email-jonatan.schlag@ipfire.org>
[-- Attachment #1: Type: text/plain, Size: 1381 bytes --]
This patch just split the parsing of the cmd line
into a separate function to allowing an edit with the generic hook_edit function.
Signed-off-by: Jonatan Schlag <jonatan.schlag(a)ipfire.org>
---
src/hooks/configs/ipv6-auto | 25 +++++++++++++++++--------
1 file changed, 17 insertions(+), 8 deletions(-)
diff --git a/src/hooks/configs/ipv6-auto b/src/hooks/configs/ipv6-auto
index c362797..375e585 100644
--- a/src/hooks/configs/ipv6-auto
+++ b/src/hooks/configs/ipv6-auto
@@ -30,14 +30,8 @@ hook_check_config_settings() {
assert isbool PRIVACY_EXTENSIONS
}
-hook_new() {
- local zone="${1}"
- shift
-
- if zone_config_hook_is_configured ${zone} "ipv6-auto"; then
- log ERROR "You can configure the ipv6-auto hook only once for a zone"
- return ${EXIT_ERROR}
- fi
+hook_parse_cmdline() {
+ local arg
while read arg; do
case "${arg}" in
@@ -52,6 +46,21 @@ hook_new() {
;;
esac
done <<< "$(args $@)"
+}
+
+hook_new() {
+ local zone="${1}"
+ shift
+
+ if zone_config_hook_is_configured ${zone} "ipv6-auto"; then
+ log ERROR "You can configure the ipv6-auto hook only once for a zone"
+ return ${EXIT_ERROR}
+ fi
+
+ if ! hook_parse_cmdline $@; then
+ # Return an error if the parsing of the cmd line fails
+ return ${EXIT_ERROR}
+ fi
zone_config_settings_write "${zone}" "${HOOK}"
--
2.6.3
next prev parent reply other threads:[~2017-07-19 8:52 UTC|newest]
Thread overview: 5+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-07-19 8:52 Split the cmd line parsing in the config hooks in seperated functions Jonatan Schlag
2017-07-19 8:52 ` [PATCH 1/4] pppoe-server: create hook_parse_cmdline function Jonatan Schlag
2017-07-19 8:52 ` [PATCH 2/4] ipv6-static: " Jonatan Schlag
2017-07-19 8:52 ` Jonatan Schlag [this message]
2017-07-19 8:52 ` [PATCH 4/4] ipv4-static: " Jonatan Schlag
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1500454358-6561-4-git-send-email-jonatan.schlag@ipfire.org \
--to=jonatan.schlag@ipfire.org \
--cc=network@lists.ipfire.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox